#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-4xkGycNRYhuFnP6LQdlEEn-dns-internal
key:                  dns-4.0.1-4xkGycNRYhuFnP6LQdlEEn-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  626e7f434d79c548581ca679b92d2293
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-4xkGycNRYhuFnP6LQdlEEn-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-256lhPDrTpH6romyyjDcSx
    attoparsec-0.14.4-C8JScaBf7EBAyHQottuuQN
    auto-update-0.1.6-CSNfyap4VBBHm7hZnTlSeb base-4.15.1.0
    base16-bytestring-1.0.2.0-FPZwM2Jmg6b125ODcw0cbs
    base64-bytestring-1.2.1.0-CXQxZ62X4PzIdwvlxhTXsb
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-8pbBStW4GxDLepPeY3vJC9
    hourglass-0.2.12-JTZhxAOABCzGXpam7i4HWt
    iproute-1.7.12-87ZaYqwCXHZ8H0WDz3Htg5 mtl-2.2.2
    network-3.1.2.7-2cSl2Bow6uq3iMyh4pkAYO
    psqueues-0.2.7.3-LPtUMhzu1SJ9kF8TQ5SiKe

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-KqBNp0DXfaH1xY92vOLe2z
key:                  dns-4.0.1-KqBNp0DXfaH1xY92vOLe2z
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d569e127f474a7f54c9ddea8cd01034b
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-KqBNp0DXfaH1xY92vOLe2z
depends:
    array-0.5.4.0 async-2.2.4-256lhPDrTpH6romyyjDcSx
    attoparsec-0.14.4-C8JScaBf7EBAyHQottuuQN
    auto-update-0.1.6-CSNfyap4VBBHm7hZnTlSeb base-4.15.1.0
    base16-bytestring-1.0.2.0-FPZwM2Jmg6b125ODcw0cbs
    base64-bytestring-1.2.1.0-CXQxZ62X4PzIdwvlxhTXsb
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-8pbBStW4GxDLepPeY3vJC9
    dns-4.0.1-4xkGycNRYhuFnP6LQdlEEn-dns-internal
    hourglass-0.2.12-JTZhxAOABCzGXpam7i4HWt
    iproute-1.7.12-87ZaYqwCXHZ8H0WDz3Htg5 mtl-2.2.2
    network-3.1.2.7-2cSl2Bow6uq3iMyh4pkAYO
    psqueues-0.2.7.3-LPtUMhzu1SJ9kF8TQ5SiKe

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

